summaryrefslogtreecommitdiff
path: root/roles/apps/nextcloud/templates
diff options
context:
space:
mode:
Diffstat (limited to 'roles/apps/nextcloud/templates')
-rw-r--r--roles/apps/nextcloud/templates/apache-site.conf.j210
-rw-r--r--roles/apps/nextcloud/templates/cron-.timer.j29
-rw-r--r--roles/apps/nextcloud/templates/cron@.service.j215
-rwxr-xr-xroles/apps/nextcloud/templates/nextcloud-occ.j219
-rwxr-xr-xroles/apps/nextcloud/templates/nextcloud-upgrade.j271
-rw-r--r--roles/apps/nextcloud/templates/pod-spec-with-mariadb.yml.j2101
-rw-r--r--roles/apps/nextcloud/templates/run-cron.sh.j27
7 files changed, 0 insertions, 232 deletions
diff --git a/roles/apps/nextcloud/templates/apache-site.conf.j2 b/roles/apps/nextcloud/templates/apache-site.conf.j2
deleted file mode 100644
index a52a7fc5..00000000
--- a/roles/apps/nextcloud/templates/apache-site.conf.j2
+++ /dev/null
@@ -1,10 +0,0 @@
-<VirtualHost *:8080>
- ServerAdmin webmaster@localhost
- DocumentRoot /var/www/html
-
- UseCanonicalName Off
- UseCanonicalPhysicalPort Off
-
- ErrorLog ${APACHE_LOG_DIR}/error.log
- CustomLog ${APACHE_LOG_DIR}/access.log combined
-</VirtualHost>
diff --git a/roles/apps/nextcloud/templates/cron-.timer.j2 b/roles/apps/nextcloud/templates/cron-.timer.j2
deleted file mode 100644
index 0c3f7cd7..00000000
--- a/roles/apps/nextcloud/templates/cron-.timer.j2
+++ /dev/null
@@ -1,9 +0,0 @@
-[Unit]
-Description=Nextcloud cron.php job timer for %i
-
-[Timer]
-OnCalendar=*:{{ 5 | random(seed=item) }}/5
-Unit=nextcloud-cron@{{ item }}.service
-
-[Install]
-WantedBy=timers.target
diff --git a/roles/apps/nextcloud/templates/cron@.service.j2 b/roles/apps/nextcloud/templates/cron@.service.j2
deleted file mode 100644
index 822f64b4..00000000
--- a/roles/apps/nextcloud/templates/cron@.service.j2
+++ /dev/null
@@ -1,15 +0,0 @@
-[Unit]
-Description=Nextcloud cron.php job for %i
-
-[Service]
-Type=oneshot
-ExecStart={{ nextcloud_base_path }}/%i/config/run-cron.sh
-NoNewPrivileges=yes
-PrivateTmp=yes
-PrivateDevices=yes
-ProtectSystem=strict
-ProtectHome=yes
-ProtectKernelTunables=yes
-ProtectControlGroups=yes
-RestrictRealtime=yes
-RestrictAddressFamilies=AF_UNIX AF_INET
diff --git a/roles/apps/nextcloud/templates/nextcloud-occ.j2 b/roles/apps/nextcloud/templates/nextcloud-occ.j2
deleted file mode 100755
index f12f1259..00000000
--- a/roles/apps/nextcloud/templates/nextcloud-occ.j2
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/bash
-
-INST_NAME="$1"
-shift
-
-if [ -z "$INST_NAME" ]; then
- echo "Usage: $0 <instance> [ <arguments for occ.php> ... ]"
- exit 1
-fi
-
-set -eu
-
-pod_id=$(crictl pods -q --state ready --name "^nextcloud-$INST_NAME-{{ ansible_nodename }}$")
-if [ -z "$pod_id" ]; then echo "Pod not found"; exit 1; fi
-
-container_id=$(crictl ps -q --name '^nextcloud$' -p "$pod_id")
-if [ -z "$container_id" ]; then echo "Container not found"; exit 1; fi
-
-exec crictl exec -it "$container_id" php /var/www/html/occ $@
diff --git a/roles/apps/nextcloud/templates/nextcloud-upgrade.j2 b/roles/apps/nextcloud/templates/nextcloud-upgrade.j2
deleted file mode 100755
index f59f3be6..00000000
--- a/roles/apps/nextcloud/templates/nextcloud-upgrade.j2
+++ /dev/null
@@ -1,71 +0,0 @@
-#!/bin/bash
-
-INST_NAME="$1"
-VERSION="$2"
-if [ -z "$INST_NAME" ] || [ -z "$VERSION" ]; then
- echo "Usage: $0 <instance> <version>"
- exit 1
-fi
-
-set -eu
-
-K8S_CONFIG_HASH_D="/etc/kubernetes/config-hashes/"
-K8S_CONFIG_HASH_FILE="$K8S_CONFIG_HASH_D/nextcloud-$INST_NAME.yml"
-K8S_MANIFEST_D="/etc/kubernetes/manifests/"
-K8S_MANIFEST_FILE="$K8S_MANIFEST_D/nextcloud-$INST_NAME.yml"
-if [ ! -e "$K8S_MANIFEST_FILE" ]; then
- echo "could not find manifest file: $K8S_MANIFEST_FILE"
- exit 2
-fi
-
-TMP_D=$(mktemp -d -t nextcloud-upgrade.XXXXXXX)
-function cleanup {
- rm -rf "$TMP_D"
-}
-trap cleanup EXIT
-
-IMAGE_BUILD_D="{{ nextcloud_base_path }}/$INST_NAME/build"
-IMAGE_NAME="nextcloud"
-if [ -e "$IMAGE_BUILD_D/Dockerfile" ]; then
- ## this only works if docker is installed...
- echo "*** Building custom image"
- echo ""
- sed "0,/FROM \(.*\):.*/s//FROM \1:$VERSION/" -i "$IMAGE_BUILD_D/Dockerfile"
- IMAGE_NAME="nextcloud/$INST_NAME"
- docker build --rm --network host -t "$IMAGE_NAME:$VERSION" "$IMAGE_BUILD_D"
- echo ""
-else
- echo "*** Pre-Pulling the image"
- echo ""
- crictl pull "docker.io/library/nextcloud:$VERSION"
- echo ""
-fi
-{% if nextcloud_zfs is defined %}
-
-echo "*** creating ZFS snapshot"
-echo ""
-
-IMAGE_NAME_ESCAPED=${IMAGE_NAME/\//\\/}
-CURRENT_VERSION=$(cat "$K8S_MANIFEST_FILE" | awk '/image: "'"$IMAGE_NAME_ESCAPED"':.*"/ { print($2) }' | tr -d '"' | cut -d ':' -f 2)
-zfs snapshot "{{ nextcloud_zfs.pool }}/{{ nextcloud_zfs.name }}/$INST_NAME@upgrade_$CURRENT_VERSION-to-$VERSION""_$(date '+%Y-%m-%m_%H:%M:%S')"
-{% endif %}
-
-echo "*** Rebuilding config-hash file"
-echo ""
-cat "$K8S_CONFIG_HASH_FILE" | grep '^/.*:' | sed 's/:$//' | xargs sha256sum | awk '{ print($2":\n checksum: "$1) }' > "$TMP_D/config-hash.yml"
-CONFIG_HASH=$(sha256sum "$TMP_D/config-hash.yml" | awk '{ print($1) }')
-
-echo "*** Patching manifest file"
-echo ""
-sed -e "s#image: \"$IMAGE_NAME:.*\"#image: \"$IMAGE_NAME:$VERSION\"#" -e "s#config-hash: \".*\"#config-hash: \"$CONFIG_HASH\"#" "$K8S_MANIFEST_FILE" > "$TMP_D/manifest.yml"
-set +e
-diff -u "$K8S_MANIFEST_FILE" "$TMP_D/manifest.yml"
-if [ $? -eq 0 ]; then
- echo "patching file failed?"
- exit 2
-fi
-cat "$TMP_D/config-hash.yml" > "$K8S_CONFIG_HASH_FILE"
-cat "$TMP_D/manifest.yml" > "$K8S_MANIFEST_FILE"
-echo ""
-
-exit 0
diff --git a/roles/apps/nextcloud/templates/pod-spec-with-mariadb.yml.j2 b/roles/apps/nextcloud/templates/pod-spec-with-mariadb.yml.j2
deleted file mode 100644
index a49bc3ea..00000000
--- a/roles/apps/nextcloud/templates/pod-spec-with-mariadb.yml.j2
+++ /dev/null
@@ -1,101 +0,0 @@
-securityContext:
- allowPrivilegeEscalation: false
-containers:
-- name: nextcloud
-{# image: "nextcloud{% if 'custom_image' in item.value %}/{{ item.key }}{% endif %}:{{ item.value.version }}" #}
- image: "nextcloud/{{ item.key }}:{{ item.value.version }}"
- securityContext:
- runAsUser: {{ nextcloud_app_uid }}
- runAsGroup: {{ nextcloud_app_gid }}
- resources:
- limits:
- memory: "4Gi"
-{% if 'new' in item.value and item.value.new %}
- env:
- - name: NEXTCLOUD_TRUSTED_DOMAINS
- value: "{{ item.value.hostnames | join(' ') }}"
- - name: OVERWRITEPROTOCOL
- value: "https"
- - name: MYSQL_HOST
- value: 127.0.0.1
- - name: MYSQL_DATABASE
- value: nextcloud
- - name: MYSQL_USER
- value: nextcloud
- - name: MYSQL_PASSWORD
- value: "{{ item.value.database.password }}"
-{% endif %}
- volumeMounts:
- - name: nextcloud
- mountPath: /var/www/html
- - name: config
- mountPath: /etc/apache2/sites-available/000-default.conf
- subPath: apache-site.conf
- readOnly: true
- - name: config
- mountPath: /etc/apache2/ports.conf
- subPath: ports.conf
- readOnly: true
- ports:
- - containerPort: 8080
- hostPort: {{ item.value.port }}
- hostIP: 127.0.0.1
-- name: redis
- image: "redis:{{ item.value.redis.version }}"
- args:
- - --bind 127.0.0.1
- securityContext:
- runAsUser: {{ nextcloud_redis_uid }}
- runAsGroup: {{ nextcloud_redis_gid }}
- resources:
- limits:
- memory: "512Mi"
- volumeMounts:
- - name: redis
- mountPath: /data
-- name: database
- image: "mariadb:{{ item.value.database.version }}"
- args:
- - --transaction-isolation=READ-COMMITTED
- - --log-bin=binlog
- - --binlog-format=ROW
-{% for arg in (item.value.database.extra_args | default([])) %}
- - {{ arg }}
-{% endfor %}
- securityContext:
- runAsUser: {{ nextcloud_db_uid }}
- runAsGroup: {{ nextcloud_db_gid }}
- resources:
- limits:
- memory: "2Gi"
-{% if 'new' in item.value and item.value.new %}
- env:
- - name: MYSQL_RANDOM_ROOT_PASSWORD
- value: "true"
- - name: MYSQL_DATABASE
- value: nextcloud
- - name: MYSQL_USER
- value: nextcloud
- - name: MYSQL_PASSWORD
- value: "{{ item.value.database.password }}"
-{% endif %}
- volumeMounts:
- - name: database
- mountPath: /var/lib/mysql
-volumes:
-- name: config
- hostPath:
- path: "{{ nextcloud_base_path }}/{{ item.key }}/config/"
- type: Directory
-- name: nextcloud
- hostPath:
- path: "{{ nextcloud_base_path }}/{{ item.key }}/nextcloud"
- type: Directory
-- name: redis
- hostPath:
- path: "{{ nextcloud_base_path }}/{{ item.key }}/redis"
- type: Directory
-- name: database
- hostPath:
- path: "{{ nextcloud_base_path }}/{{ item.key }}/{{ item.value.database.type }}"
- type: Directory
diff --git a/roles/apps/nextcloud/templates/run-cron.sh.j2 b/roles/apps/nextcloud/templates/run-cron.sh.j2
deleted file mode 100644
index 455bc3ec..00000000
--- a/roles/apps/nextcloud/templates/run-cron.sh.j2
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/bash
-
-POD_NAME="{{ item }}-$(hostname)"
-POD_ID=$(crictl pods --name "$POD_NAME" --state ready -q)
-CONTAINER_ID=$(crictl ps --pod "$POD_ID" --name nextcloud -q)
-
-exec crictl exec "$CONTAINER_ID" php -f /var/www/html/cron.php